#! /usr/local/bin/python
# checks to see what files have changed from their RCS counterparts.

import sys
import os

def usage ():
	print 'checkver.py file ...'

if len(sys.argv) < 2:
	usage()
	sys.exit()
	
files = sys.argv[1:]

changed = []

print 'checking for changes...'
sys.stdout.flush()

for x in files:
	result = os.system ('rcsdiff -q '+x)
	if result != 0:
		changed.append (x)
	print x
	sys.stdout.flush()

if len(changed) > 0:
	print 'the following files have changed:'
	for x in changed:
		print x
else:
	print 'all files are checked in correctly.'

